@import url('https://fonts.googleapis.com/css2?family=Muli:wght@400;700&display=swap');

* {
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  
  margin: 0;
  block-size: 100vh;

  font-family: 'Muli', sans-serif;
  color: #FFF;
  background-color: steelblue;
  overflow: hidden;
}

.container {
  padding: 1.25rem 2.5rem;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.4);
}

.container h1{
  margin-block-end: 2rem;
  text-align: center;
}

.container a {
  color: lightblue;
  text-decoration: none;
}

.form-control {
  position: relative;
  margin-inline: 0;
  margin-block-start: 1.25rem;
  margin-block-end: 2.5rem;
  inline-size: 300px;
}

.form-control input {
  display: block;
  padding-inline: 0;
  padding-block: 15px;
  inline-size: 100%;

  border: 0;
  border-block-end: 2px solid #FFF;
  font-size: 1.125rem;
  color: #FFF;
  background-color: transparent;
}

.form-control input:focus,
.form-control input:valid {
  border-block-end-color: lightblue;
  outline: 0;
}
.form-control label {
  position: absolute;
  top: 1rem;
  left: 0;
}

.form-control label span{
  display: inline-block;
  min-inline-size: 5px;
  font-size: 1.125rem;
  transition: .3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}
.form-control input:focus + label span,
.form-control input:valid + label span {
  color: lightblue;
  transform: translateY(-30px);
}

.btn {
  display: inline-block;
  margin-block-end: 2rem;
  padding: 1rem;
  inline-size: 100%;
  border: 0;
  border-radius: 5px;

  font-size: 1rem;
  font-family: inherit;
  background: lightblue;
  cursor: pointer;
}

.btn:focus {
  outline: 0;
}
.btn:active {
  transform: scale(.98);
}
